Opened 7 months ago

Closed 7 months ago

#1313 closed defect (fixed)

Sticky Notes & Reminders crashes after adding new reminder

Reported by: nymous Owned by:
Priority: major Milestone: 0.95
Component: another plugin Version: 0.95.6
Severity: bug Keywords:
Cc:

Description (last modified by nymous)

After last update several days ago whatever reminder I create, miranda crashes after several seconds. It also keeps crashing after restart until I delete the plugin.
The problem also persists with dev version and clean profile.

Here's the crash log from dev version:

Miranda Crash Report from 29 Sep 2016 17:11:11. Crash Dumper v.0.0.5.2
 
Likely cause of the crash plugin: Sticky Notes & Reminders
 
Exception: Access Violation at address 00000000169A7180. Reading from address 0000000000000310.
 
Stack Trace:
---------------------------------------------------------------
00000000169A7180 (NotesReminders 00000000169A0000): c:\sources\miranda_ng_compilation\plugins\notesandreminders\src\reminders.cpp (532): FireReminder
00000000169A72DB (NotesReminders 00000000169A0000): c:\sources\miranda_ng_compilation\plugins\notesandreminders\src\reminders.cpp (612): CheckRemindersAndStart
00000000169A118A (NotesReminders 00000000169A0000): c:\sources\miranda_ng_compilation\plugins\notesandreminders\src\hotkeys.cpp (51): NotifyHotKeyWndProc
00007FFDE1711C24 (USER32 00007FFDE1700000): (filename not available) (0): CallWindowProcW
00007FFDE171156C (USER32 00007FFDE1700000): (filename not available) (0): DispatchMessageW
000000001220E314 (mir_app 00000000121E0000): c:\sources\miranda_ng_compilation\src\mir_app\src\miranda.cpp (284): mir_main
00000001400019C5 (Miranda64 0000000140000000): c:\sources\miranda_ng_compilation\src\miranda32\src\miranda.cpp (65): wWinMain
00000001400011FE (Miranda64 0000000140000000): f:\dd\vctools\crt_bld\self_64_amd64\crt\src\crtexe.c (547): __tmainCRTStartup
00007FFDE10B8364 (KERNEL32 00007FFDE10B0000): (filename not available) (0): BaseThreadInitThunk
00007FFDE3A05E91 (ntdll 00007FFDE39A0000): (filename not available) (0): RtlUserThreadStart
 
CPU: AMD Athlon(tm) II X2 B28 Processor [AMD64 Family 16 Model 6 Stepping 3] [DEP Enabled] [2 CPUs]
Installed RAM: 15872 MBytes
Microsoft Windows 10 , 64-bit (build 14393)
Internet Explorer: 9.11.14393.0 (build 914393)
Administrator privileges: No
OS Languages: (UI | Locale (User/System)) : English/English | English/Russian
 
Miranda NG Version: 0.95.6 alpha build #17338 x64
Build time: 29 Sep 2016 4:10:02
Profile: C:\Users\User\AppData\Roaming\Miranda NG\11111\11111.dat (dbx mmap driver)
Language pack: No language pack installed
Service Mode: No
 
Active Plugins (17):
¤ AdvaImg.dll v.0.11.0.2 [29 Sep 2016 4:06:46] - Miranda image services
¤ AVS.dll v.0.95.3.4 [29 Sep 2016 4:05:32] - Avatar service
¤ CrashDumper.dll v.0.0.5.2 [29 Sep 2016 4:07:26] - Crash dumper
¤ DbEditorPP.dll v.4.0.1.1 [29 Sep 2016 4:07:28] - Database editor++
¤ Dbx_mmap.dll v.0.95.3.1 [29 Sep 2016 4:05:34] - Miranda NG mmap database driver
¤ FltContacts.dll v.0.7.0.4 [29 Sep 2016 4:06:16] - Floating contacts
¤ HistoryPP.dll v.1.5.1.5 [16 Sep 2016 9:46:04] - History++
¤ ICQ.dll v.0.11.3.4 [29 Sep 2016 4:05:56] - IcqOscarJ protocol
¤ Import.dll v.0.95.4.3 [29 Sep 2016 4:05:30] - Import contacts and messages
¤ MenuEx.dll v.1.3.0.10 [29 Sep 2016 4:06:22] - Menu item ext
¤ NewEventNotify.dll v.0.2.2.3 [29 Sep 2016 4:07:14] - NewEventNotify
¤ NotesReminders.dll v.0.1.0.1 [29 Sep 2016 4:07:54] - Sticky Notes & Reminders
¤ PluginUpdater.dll v.0.1.2.5 [29 Sep 2016 4:07:38] - Plugin updater
¤ Popup.dll v.2.1.1.12 [29 Sep 2016 4:06:28] - Popup plus
¤ SeenPlugin.dll v.5.0.5.2 [29 Sep 2016 4:06:26] - Last seen
¤ Tipper.dll v.2.1.0.7 [29 Sep 2016 4:06:40] - Tipper
¤ WhenWasIt.dll v.0.3.3.5 [29 Sep 2016 4:06:46] - Birthday reminder
 
Loaded Modules:
-------------------------------------------------------------------------------
C:\Program Files\Miranda NG\Miranda64.exe  0000000140000000 - 000000014000A000 v.0.95.6.17338 [29 Sep 2016 4:10:02]
C:\WINDOWS\SYSTEM32\ntdll.dll  00007FFDE39A0000 - 00007FFDE3B71000 v.10.0.14393.103 [20 Aug 2016 9:03:52]
C:\WINDOWS\System32\KERNEL32.DLL  00007FFDE10B0000 - 00007FFDE115B000 v.10.0.14393.0 [16 Jul 2016 14:42:16]
C:\WINDOWS\System32\KERNELBASE.dll  00007FFDE0050000 - 00007FFDE026D000 v.10.0.14393.187 [7 Sep 2016 8:51:50]
C:\WINDOWS\System32\USER32.dll  00007FFDE1700000 - 00007FFDE1865000 v.10.0.14393.5 [18 Aug 2016 4:34:27]
C:\WINDOWS\System32\win32u.dll  00007FFDDFE90000 - 00007FFDDFEAE000 v.10.0.14393.51 [2 Aug 2016 11:44:21]
C:\WINDOWS\System32\GDI32.dll  00007FFDE3380000 - 00007FFDE33B4000 v.10.0.14393.0 [16 Jul 2016 14:42:09]
C:\WINDOWS\System32\gdi32full.dll  00007FFDE0CF0000 - 00007FFDE0E72000 v.10.0.14393.0 [16 Jul 2016 14:42:43]
C:\Program Files\Miranda NG\MSVCR100.dll  0000000062360000 - 0000000062432000 v.10.0.40219.325 [23 Jan 2016 12:17:34]
C:\WINDOWS\System32\IMM32.DLL  00007FFDE3600000 - 00007FFDE362E000 v.10.0.14393.0 [16 Jul 2016 14:42:23]
C:\Program Files\Miranda NG\libs\mir_app.mir  00000000121E0000 - 00000000122C7000 v.0.95.6.17338 [29 Sep 2016 4:05:48]
C:\WINDOWS\System32\SHLWAPI.dll  00007FFDE35A0000 - 00007FFDE35F2000 v.10.0.14393.0 [16 Jul 2016 14:42:42]
C:\WINDOWS\System32\msvcrt.dll  00007FFDE19A0000 - 00007FFDE1A3E000 v.7.0.14393.0 [16 Jul 2016 14:42:27]
C:\WINDOWS\System32\combase.dll  00007FFDE1290000 - 00007FFDE1557000 v.10.0.14393.187 [7 Sep 2016 8:32:37]
C:\WINDOWS\System32\ucrtbase.dll  00007FFDDFF50000 - 00007FFDE0045000 v.10.0.14393.0 [16 Jul 2016 14:42:27]
C:\WINDOWS\System32\RPCRT4.dll  00007FFDE3460000 - 00007FFDE3581000 v.10.0.14393.82 [6 Aug 2016 7:26:33]
C:\WINDOWS\System32\bcryptPrimitives.dll  00007FFDE04F0000 - 00007FFDE055A000 v.10.0.14393.0 [16 Jul 2016 14:42:27]
C:\WINDOWS\System32\WS2_32.dll  00007FFDE1870000 - 00007FFDE18DA000 v.10.0.14393.0 [16 Jul 2016 14:42:27]
C:\WINDOWS\System32\sechost.dll  00007FFDE1160000 - 00007FFDE11B9000 v.10.0.14393.0 [16 Jul 2016 14:42:27]
C:\WINDOWS\System32\COMDLG32.dll  00007FFDE38A0000 - 00007FFDE399A000 v.10.0.14393.0 [16 Jul 2016 14:42:42]
C:\WINDOWS\System32\shcore.dll  00007FFDE0560000 - 00007FFDE0609000 v.10.0.14393.0 [16 Jul 2016 14:42:11]
C:\WINDOWS\System32\SHELL32.dll  00007FFDE1E70000 - 00007FFDE3378000 v.10.0.14393.187 [7 Sep 2016 8:29:35]
C:\WINDOWS\System32\cfgmgr32.dll  00007FFDE0270000 - 00007FFDE02B2000 v.10.0.14393.0 [16 Jul 2016 14:42:27]
C:\WINDOWS\System32\windows.storage.dll  00007FFDE0610000 - 00007FFDE0CEA000 v.10.0.14393.187 [7 Sep 2016 8:34:10]
C:\WINDOWS\System32\powrprof.dll  00007FFDDFE30000 - 00007FFDDFE7C000 v.10.0.14393.0 [16 Jul 2016 14:42:27]
C:\WINDOWS\System32\advapi32.dll  00007FFDE11C0000 - 00007FFDE1262000 v.10.0.14393.0 [16 Jul 2016 14:42:21]
C:\WINDOWS\System32\kernel.appcore.dll  00007FFDDFE00000 - 00007FFDDFE0F000 v.10.0.14393.0 [16 Jul 2016 14:42:06]
C:\WINDOWS\System32\profapi.dll  00007FFDDFE10000 - 00007FFDDFE24000 v.10.0.14393.0 [16 Jul 2016 14:42:27]
C:\WINDOWS\System32\ole32.dll  00007FFDE1560000 - 00007FFDE1697000 v.10.0.14393.187 [7 Sep 2016 8:29:27]
C:\WINDOWS\SYSTEM32\WINMM.dll  00007FFDDE2C0000 - 00007FFDDE2E3000 v.10.0.14393.0 [16 Jul 2016 14:42:22]
C:\WINDOWS\WinSxS\amd64_microsoft.windows.common-controls_6595b64144ccf1df_6.0.14393.0_none_2d0f50fcbdb171b8\COMCTL32.dll  00007FFDD26D0000 - 00007FFDD2949000 v.6.10.14393.0 [16 Jul 2016 14:42:42]
C:\WINDOWS\SYSTEM32\UxTheme.dll  00007FFDDE550000 - 00007FFDDE5E5000 v.10.0.14393.0 [16 Jul 2016 14:42:40]
C:\Program Files\Miranda NG\libs\zlib.mir  0000000012460000 - 000000001247B000 v.1.2.8.0 [29 Sep 2016 4:05:30]
C:\Program Files\Miranda NG\libs\mir_core.mir  00000000123C0000 - 00000000123EC000 [29 Sep 2016 4:05:36]
C:\WINDOWS\SYSTEM32\VERSION.dll  00007FFDDC0E0000 - 00007FFDDC0EA000 v.10.0.14393.0 [16 Jul 2016 14:42:40]
C:\WINDOWS\SYSTEM32\Secur32.dll  00007FFDDCDA0000 - 00007FFDDCDAC000 v.10.0.14393.0 [16 Jul 2016 14:42:36]
C:\WINDOWS\SYSTEM32\WINMMBASE.dll  00007FFDDE260000 - 00007FFDDE28B000 v.10.0.14393.0 [16 Jul 2016 14:42:22]
C:\WINDOWS\SYSTEM32\SSPICLI.DLL  00007FFDDFB00000 - 00007FFDDFB2C000 v.10.0.14393.187 [7 Sep 2016 8:41:42]
C:\WINDOWS\System32\MSCTF.dll  00007FFDE0F50000 - 00007FFDE10AB000 v.10.0.14393.187 [7 Sep 2016 8:25:28]
C:\WINDOWS\System32\OLEAUT32.dll  00007FFDE18E0000 - 00007FFDE199F000 v.10.0.14393.187 [7 Sep 2016 8:50:33]
C:\WINDOWS\System32\msvcp_win.dll  00007FFDDFEB0000 - 00007FFDDFF4C000 v.10.0.14393.0 [16 Jul 2016 14:42:27]
C:\Program Files (x86)\Punto Switcher\PSHook64.dll  00007FFDDE3A0000 - 00007FFDDE3AA000 v.4.2.6.1275 [3 Jun 2016 19:05:34]
C:\WINDOWS\System32\imagehlp.dll  00007FFDE0F30000 - 00007FFDE0F4C000 v.10.0.14393.0 [16 Jul 2016 14:42:27]
C:\WINDOWS\SYSTEM32\dwmapi.dll  00007FFDDE1A0000 - 00007FFDDE1C6000 v.10.0.14393.0 [16 Jul 2016 14:42:23]
C:\WINDOWS\SYSTEM32\CRYPTBASE.DLL  00007FFDDF8F0000 - 00007FFDDF8FB000 v.10.0.14393.0 [16 Jul 2016 14:42:27]
C:\WINDOWS\System32\clbcatq.dll  00007FFDE33C0000 - 00007FFDE345F000 v.2001.12.10941.16384 [16 Jul 2016 14:42:17]
C:\WINDOWS\system32\explorerframe.dll  00007FFDCB560000 - 00007FFDCB9E4000 v.10.0.14393.0 [16 Jul 2016 14:42:40]
C:\Program Files\Miranda NG\Plugins\CrashDumper.dll  0000000014BC0000 - 0000000014BD4000 v.0.0.5.2 [29 Sep 2016 4:07:26]
C:\WINDOWS\SYSTEM32\dbghelp.dll  00007FFDD0460000 - 00007FFDD05F2000 v.10.0.14321.1024 [16 Jul 2016 14:42:31]
C:\WINDOWS\SYSTEM32\dbgcore.DLL  00007FFDCE430000 - 00007FFDCE459000 v.10.0.14321.1024 [16 Jul 2016 14:42:31]
C:\Program Files\Miranda NG\Plugins\DbEditorPP.dll  0000000014DC0000 - 0000000014DE1000 v.4.0.1.1 [29 Sep 2016 4:07:28]
C:\Program Files\Miranda NG\Plugins\Dbx_mmap.dll  0000000014E20000 - 0000000014E36000 v.0.95.3.1 [29 Sep 2016 4:05:34]
C:\Program Files\Miranda NG\Plugins\Import.dll  0000000015D80000 - 0000000015D91000 v.0.95.4.3 [29 Sep 2016 4:05:30]
C:\Program Files\Miranda NG\Core\stdcrypt.dll  0000000013100000 - 000000001310D000 v.0.95.6.17338 [29 Sep 2016 4:10:00]
C:\Program Files\Miranda NG\Core\stdssl.dll  0000000013200000 - 0000000013209000 v.0.95.6.17338 [29 Sep 2016 4:09:56]
C:\WINDOWS\System32\CRYPT32.dll  00007FFDE02C0000 - 00007FFDE0488000 v.10.0.14393.0 [16 Jul 2016 14:42:27]
C:\WINDOWS\System32\MSASN1.dll  00007FFDDFE80000 - 00007FFDDFE90000 v.10.0.14393.0 [16 Jul 2016 14:42:27]
C:\WINDOWS\SYSTEM32\WSOCK32.dll  00007FFDDC800000 - 00007FFDDC809000 v.10.0.14393.0 [16 Jul 2016 14:42:12]
C:\WINDOWS\SYSTEM32\Msftedit.dll  00007FFDD6040000 - 00007FFDD6355000 v.10.0.14393.0 [16 Jul 2016 14:42:05]
C:\Program Files\Miranda NG\Plugins\AdvaImg.dll  0000000014320000 - 00000000143D2000 v.0.11.0.2 [29 Sep 2016 4:06:46]
C:\Program Files\Miranda NG\MSVCP100.dll  00000000636E0000 - 0000000063778000 v.10.0.40219.325 [23 Jan 2016 12:17:34]
C:\Program Files\Miranda NG\Core\stdclist.dll  00000000130C0000 - 00000000130D3000 v.0.95.6.17338 [29 Sep 2016 4:10:02]
C:\Program Files\Miranda NG\Plugins\AVS.dll  0000000014680000 - 0000000014696000 v.0.95.3.4 [29 Sep 2016 4:05:32]
C:\Program Files\Miranda NG\Plugins\FltContacts.dll  0000000015260000 - 0000000015271000 v.0.7.0.4 [29 Sep 2016 4:06:16]
C:\WINDOWS\SYSTEM32\MSIMG32.dll  00007FFDD0150000 - 00007FFDD0157000 v.10.0.14393.0 [16 Jul 2016 14:42:23]
C:\Program Files\Miranda NG\Plugins\HistoryPP.dll  0000000015400000 - 000000001570B000 v.1.5.1.5 [16 Sep 2016 9:46:04]
C:\WINDOWS\SYSTEM32\winspool.drv  00007FFDDC670000 - 00007FFDDC6F5000 v.10.0.14393.0 [16 Jul 2016 14:42:39]
C:\WINDOWS\SYSTEM32\bcrypt.dll  00007FFDDF9E0000 - 00007FFDDFA0B000 v.10.0.14393.0 [16 Jul 2016 14:42:27]
C:\WINDOWS\SYSTEM32\RICHED20.DLL  00007FFDC9E20000 - 00007FFDC9EB6000 v.5.31.23.1231 [16 Jul 2016 14:42:43]
C:\WINDOWS\SYSTEM32\USP10.dll  00007FFDD58F0000 - 00007FFDD5909000 v.10.0.14393.0 [16 Jul 2016 14:42:23]
C:\WINDOWS\SYSTEM32\msls31.dll  00007FFDCBFB0000 - 00007FFDCBFE9000 v.3.10.349.0 [16 Jul 2016 14:42:37]
C:\Program Files\Miranda NG\Plugins\ICQ.dll  0000000015BC0000 - 0000000015C2C000 v.0.11.3.4 [29 Sep 2016 4:05:56]
C:\Program Files\Miranda NG\Plugins\MenuEx.dll  00000000160C0000 - 00000000160D1000 v.1.3.0.10 [29 Sep 2016 4:06:22]
C:\Program Files\Miranda NG\Plugins\NewEventNotify.dll  0000000016780000 - 000000001678C000 v.0.2.2.3 [29 Sep 2016 4:07:14]
C:\Program Files\Miranda NG\Plugins\NotesReminders.dll  00000000169A0000 - 00000000169C0000 v.0.1.0.1 [29 Sep 2016 4:07:54]
C:\Program Files\Miranda NG\Plugins\PluginUpdater.dll  0000000016BA0000 - 0000000016BB9000 v.0.1.2.5 [29 Sep 2016 4:07:38]
C:\Program Files\Miranda NG\Plugins\Popup.dll  0000000016C00000 - 0000000016C44000 v.2.1.1.12 [29 Sep 2016 4:06:28]
C:\WINDOWS\WinSxS\amd64_microsoft.windows.gdiplus_6595b64144ccf1df_1.0.14393.187_none_83b29410880f25a9\gdiplus.dll  00007FFDB2D00000 - 00007FFDB2E99000 v.10.0.14393.187 [7 Sep 2016 7:41:17]
C:\Program Files\Miranda NG\Plugins\SeenPlugin.dll  00000000170E0000 - 00000000170F3000 v.5.0.5.2 [29 Sep 2016 4:06:26]
C:\Program Files\Miranda NG\Plugins\Tipper.dll  0000000017800000 - 000000001782A000 v.2.1.0.7 [29 Sep 2016 4:06:40]
C:\Program Files\Miranda NG\Plugins\WhenWasIt.dll  0000000018100000 - 0000000018116000 v.0.3.3.5 [29 Sep 2016 4:06:46]
C:\Program Files\Miranda NG\Core\stduserinfo.dll  0000000013240000 - 000000001324E000 v.0.95.6.17338 [29 Sep 2016 4:10:04]
C:\Program Files\Miranda NG\Core\stdemail.dll  0000000013120000 - 0000000013127000 v.0.95.6.17338 [29 Sep 2016 4:10:02]
C:\Program Files\Miranda NG\Core\stdauth.dll  0000000013000000 - 0000000013009000 v.0.95.6.17338 [29 Sep 2016 4:10:02]
C:\Program Files\Miranda NG\Core\stdfile.dll  0000000013140000 - 0000000013153000 v.0.95.6.17338 [29 Sep 2016 4:10:04]
C:\Program Files\Miranda NG\Core\stdhelp.dll  0000000013180000 - 0000000013188000 v.0.95.6.17338 [29 Sep 2016 4:09:56]
C:\Program Files\Miranda NG\Core\stdidle.dll  00000000131A0000 - 00000000131A8000 v.0.95.6.17338 [29 Sep 2016 4:10:00]
C:\WINDOWS\SYSTEM32\WTSAPI32.dll  00007FFDDDFF0000 - 00007FFDDE003000 v.10.0.14393.0 [16 Jul 2016 14:42:43]
C:\Program Files\Miranda NG\Core\stdautoaway.dll  0000000013020000 - 0000000013027000 v.0.95.6.17338 [29 Sep 2016 4:10:00]
C:\Program Files\Miranda NG\Core\stduseronline.dll  0000000013260000 - 0000000013267000 v.0.95.6.17338 [29 Sep 2016 4:10:02]
C:\Program Files\Miranda NG\Core\stdaway.dll  0000000013040000 - 000000001304A000 v.0.95.6.17338 [29 Sep 2016 4:09:58]
C:\Program Files\Miranda NG\Core\stdchat.dll  0000000013060000 - 0000000013088000 v.0.95.6.17338 [29 Sep 2016 4:10:00]
C:\Program Files\Miranda NG\Core\stdmsg.dll  00000000131C0000 - 00000000131D8000 v.0.95.6.17338 [29 Sep 2016 4:10:02]
C:\WINDOWS\system32\dataexchange.dll  00007FFDD5140000 - 00007FFDD5189000 v.10.0.14393.0 [16 Jul 2016 14:42:05]
C:\WINDOWS\system32\dcomp.dll  00007FFDDDB40000 - 00007FFDDDC91000 v.10.0.14393.0 [16 Jul 2016 14:42:23]
C:\WINDOWS\system32\d3d11.dll  00007FFDD9CD0000 - 00007FFDD9F86000 v.10.0.14393.0 [16 Jul 2016 14:42:09]
C:\WINDOWS\system32\dxgi.dll  00007FFDDED90000 - 00007FFDDEE2F000 v.10.0.14393.0 [16 Jul 2016 14:42:07]
C:\WINDOWS\system32\twinapi.appcore.dll  00007FFDDE790000 - 00007FFDDE8AC000 v.10.0.14393.0 [16 Jul 2016 14:42:05]

Change History (3)

comment:1 Changed 7 months ago by nymous

  • Description modified (diff)

comment:2 Changed 7 months ago by dartraiden

Confirmed. But crash if reminder (not note) is set to current minute. For example, in 23:43 I create reminder with "test" text and 23:43 time, press Add button and Miranda crashed.

And crashed too when the time comes. Set reminder on next minute, and on 23:44:00 - crash

http://pastebin.com/rjt7u6KK

Last edited 7 months ago by dartraiden (previous) (diff)

comment:3 Changed 7 months ago by ghazan

  • Milestone set to 0.95
  • Resolution set to fixed
  • Status changed from new to closed
  • Version changed from 0.95.5 to 0.95.6

fixed in rev. 17346

Note: See TracTickets for help on using tickets.